﻿# ##########################################################################
# Programme Python permettant de tracer les représentations spatiales
# et temporelles d'une onde
# ##########################################################################
# O. CHAUMETTE - Lycée JP SARTRE - 69500 BRON - olivier.chaumette@ac-lyon.fr
# ##########################################################################
# version 2 - novembre 2019


import numpy as np
import matplotlib.pyplot as plt
import random

# ##############################
# initialisation des variables #
# ##############################
# période en seconde (valeur aléatoire):
T=0.01+(random.randrange(1,100)/100)
# amplitude en m:
A=2
# célerité en m/s (valeur aléatoire):
v= random.randrange(1,50)/10

""" TRAVAIL DES ÉLÈVES: """
# Exprimer la longueur d'onde à partir des données précédentes:
Lambda=

""" FIN TRAVAIL DES ÉLÈVES """

# ################################
# Tracé
# ################################
# 1. Répresentation temporelle
# ################################
plt.subplot(121)            # "sous-figure" 1
t=np.linspace(0,4*T,200)    # tableau de 200 dates

""" TRAVAIL DES ÉLÈVES: """
# taper expression de l'ordonnée d'un point du milieu en fonction de la date t:
y=

# tracer y en fonction de t en bleu continu:



# nommer les axes et le graphique. mettre une grille:




""" FIN TRAVAIL DES ÉLÈVES """

# ################################
# 2. Répresentation spatiale
# ################################
plt.subplot(122)        # "sous-figure" 2
x=np.linspace(0,3*Lambda,200)   # tableau de 200 positions

""" TRAVAIL DES ÉLÈVES: """
# Créer l'expression de l'ordonnée d'un point du milieu en fonction de son abscisse x
# pour cela, ADAPTER l'expression donnée pour la représentation temporelle: y= A*np.cos(2*np.pi*(t/T))
y=


# tracer y en fonction de x en rouge continu:



# nommer les axes et le graphique. mettre une grille:





""" FIN TRAVAIL DES ÉLÈVES """


# on affiche la fenêtre
plt.show()

# et quand la fenêtre Matplotlib se ferme, on affiche les réponses
print("La période vaut T=",T,"s")
print("La longueur d'onde vaut",chr(955),"=",Lambda,"m")    # chr(955) affiche la lettre grecque lambda
print("La célérité vaut v=",v,"m/s")
